Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface Page

All Superinterfaces:
  PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface Page
extends PortalResource

Interface `Page` represents a panel within a rendered portal view. In this the portal framework this page would be expected to have been defined by the EBCC.

Field Summary
`static String` | `DISPLAY_TYPE_IMAGE` Deprecated.
`static String` | `DISPLAY_TYPE_TEXT` Deprecated.
`static int` | `IMAGE_DEFAULT` Deprecated. Constant to represent image of type Default.
`static int` | `IMAGE_ROLLOVER` Deprecated. Constant to represent image of type Rollover.
`static int` | `IMAGE_SELECTED` Deprecated. Constant to represent image of type Selected.
`static int` | `MAX_IMAGES` Deprecated. Constant to represent the maximum number of images.
`static int` | `PAGE_AVAILABLE` Deprecated. Constant to represent attribute available.
`static int` | `PAGE_MANDATORY` Deprecated. Constant to represent attribute Mandatory.
`static int` | `PAGE_VISIBLE` Deprecated. Constant to represent attribute Visible.

Method Summary
`PageIdentifier` | `getIdentifier()` Deprecated. Returns the unique identifier for this `Page`.
`String` | `getImageName(int imageType)` Deprecated. Returns the filename of the image defined for the specified image type.
`List` | `getLayouts()` Deprecated. Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.
`Portlet` | `getPortlet(PortletIdentifier portletId)` Deprecated. Returns a `Portlet` corresponding to the `PortletIdentifier` specified.
`List` | `getPortlets()` Deprecated. Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Field Detail

### IMAGE_DEFAULT

    public static final int IMAGE_DEFAULT

  Deprecated.
  Constant to represent image of type Default.

  See Also:
    Constant Field Values

### IMAGE_SELECTED

    public static final int IMAGE_SELECTED

  Deprecated.
  Constant to represent image of type Selected.

  See Also:
    Constant Field Values

### IMAGE_ROLLOVER

    public static final int IMAGE_ROLLOVER

  Deprecated.
  Constant to represent image of type Rollover.

  See Also:
    Constant Field Values

### MAX_IMAGES

    public static final int MAX_IMAGES

  Deprecated.
  Constant to represent the maximum number of images.

  See Also:
    Constant Field Values

### PAGE_AVAILABLE

    public static final int PAGE_AVAILABLE

  Deprecated.
  Constant to represent attribute available.

  See Also:
    Constant Field Values

### PAGE_VISIBLE

    public static final int PAGE_VISIBLE

  Deprecated.
  Constant to represent attribute Visible.

  See Also:
    Constant Field Values

### PAGE_MANDATORY

    public static final int PAGE_MANDATORY

  Deprecated.
  Constant to represent attribute Mandatory.

  See Also:
    Constant Field Values

### DISPLAY_TYPE_TEXT

    public static final String DISPLAY_TYPE_TEXT

  Deprecated.
  See Also:
    Constant Field Values

### DISPLAY_TYPE_IMAGE

    public static final String DISPLAY_TYPE_IMAGE

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getIdentifier

    public PageIdentifier getIdentifier()

  Deprecated.
  Returns the unique identifier for this `Page`.

  Returns:
    `PageIdentifier` for this `Page`.

### getImageName

    public String getImageName(int imageType)

  Deprecated.
  Returns the filename of the image defined for the specified image type. Valid values are:

  `Page.IMAGE_DEFAULT`

  `Page.IMAGE_SELECTED`

  `Page.IMAGE_ROLLOVER`

  These filenames are expected to be defined in the EBCC and do not need to include directory information but should include the appropriate filename extension (eg. HomePageRollover.gif ).

  Parameters:
    `imageType` - a constant specifying the image type required.
  Returns:
    the filename defined for the image type specified.

### getLayouts

    public List getLayouts()

  Deprecated.
  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.

  Note: This is the set of layouts available for group administrators to select from as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of layouts available on this page.

### getPortlets

    public List getPortlets()

  Deprecated.
  Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available on this page.

### getPortlet

    public Portlet getPortlet(PortletIdentifier portletId)

  Deprecated.
  Returns a `Portlet` corresponding to the `PortletIdentifier` specified.

  Parameters:
    `portletId` - identifier for portlet required.
  Returns:
    `Portlet` as specified.
  Throws:
    `IllegalArgumentException` - if portlet is not available.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved